Add Provisioned Identity Certificate And Key

post

/management/weblogic/{version}/domainRuntime/domainKeystoresRuntime/addProvisionedIdentityCertificateAndKey

Add a provisioned identity certificate and PKCS#8 private key from separate files. Supported combinations are PEM certificate chain with a PEM private key, DER leaf certificate with a DER private key, and PEM certificate chain with a DER private key. The private key may be unencrypted or encrypted.

Remote callers must use an encrypted management transport such as T3S or HTTPS.

Request

Supported Media Types
Path Parameters
Header Parameters
  • The 'X-Requested-By' header is used to protect against Cross-Site Request Forgery (CSRF) attacks. The value is an arbitrary name such as 'MyClient'.
Body ()

Must contain the following fields:

Root Schema : Arguments
Type: object
Title: Arguments
Show Source
Security
  • Type: basic
    Description: A user in the Admin security role.
Back to Top

Response

200 Response

Returns the following fields:

Back to Top